GNU Radio 2.x: gr_complex_to_xxx.h File Reference

Main Page | Modules | Namespace List | Class Hierarchy | Compound List | File List | Namespace Members | Compound Members | File Members

# gr_complex_to_xxx.h File Reference

`#include <gr_sync_block.h>`
`#include <gr_complex.h>`

Include dependency graph for gr_complex_to_xxx.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | gr_complex_to_arg
| complex in, angle out (float) More...
class | gr_complex_to_float
| convert a stream of gr_complex to 1 or 2 streams of float More...
class | gr_complex_to_imag
| complex in, imaginary out (float) More...
class | gr_complex_to_mag
| complex in, magnitude out (float) More...
class | gr_complex_to_real
| complex in, real out (float) More...
## Typedefs
typedef boost::shared_ptr< gr_complex_to_float > | gr_complex_to_float_sptr
typedef boost::shared_ptr< gr_complex_to_real > | gr_complex_to_real_sptr
typedef boost::shared_ptr< gr_complex_to_imag > | gr_complex_to_imag_sptr
typedef boost::shared_ptr< gr_complex_to_mag > | gr_complex_to_mag_sptr
typedef boost::shared_ptr< gr_complex_to_arg > | gr_complex_to_arg_sptr
## Functions
gr_complex_to_float_sptr | gr_make_complex_to_float ()
gr_complex_to_real_sptr | gr_make_complex_to_real ()
gr_complex_to_imag_sptr | gr_make_complex_to_imag ()
gr_complex_to_mag_sptr | gr_make_complex_to_mag ()
gr_complex_to_arg_sptr | gr_make_complex_to_arg ()

## Typedef Documentation

typedef boost::shared_ptr<gr_complex_to_arg> gr_complex_to_arg_sptr

typedef boost::shared_ptr<gr_complex_to_float> gr_complex_to_float_sptr

typedef boost::shared_ptr<gr_complex_to_imag> gr_complex_to_imag_sptr

typedef boost::shared_ptr<gr_complex_to_mag> gr_complex_to_mag_sptr

typedef boost::shared_ptr<gr_complex_to_real> gr_complex_to_real_sptr

## Function Documentation

gr_complex_to_arg_sptr gr_make_complex_to_arg | ( |  | ) |

gr_complex_to_float_sptr gr_make_complex_to_float | ( |  | ) |

gr_complex_to_imag_sptr gr_make_complex_to_imag | ( |  | ) |

gr_complex_to_mag_sptr gr_make_complex_to_mag | ( |  | ) |

gr_complex_to_real_sptr gr_make_complex_to_real | ( |  | ) |